Subject: Re: [bug#51428] core-updates-frozen-batched-changes built and ready to merge

From: Guillaume Le Vaillant <[email-masked]>
Date: Sun, 31 Oct 2021 16:30:05 +0000

Maxim Cournoyer <[email-masked]> skribis:

> I've experimented quite a bit with core-updates-frozen-batched-changes
> in the last weeks, and it seems to be in a decent shape, good enough to
> merge into core-updates-frozen, I think.
>
> [...]
>
> I'll send the corresponding patches for review, which can also be
> consulted directly on the core-updates-frozen-batched-changes branch,
> which I've manually built on Berlin for things such as Rust and
> ungoogled-chromium.
>
> I'd like to merge it into core-updates-frozen by the beginning of
> November, unless there are problems you can spot :-).

Hi Maxim,

I think that when you rewrote the core-updates-frozen-batched-changes
branch you lost the commit that Mathieu added to fix the evaluations on
the CI [1], and this is why they are now failing.

The patch is in attachment (I found it in the guix-commits mailing
list). If you add it back to the branch, the CI should start building
substitutes again.

[1] https://ci.guix.gnu.org/eval/36297
From 27d4c26cb55e588cd0ff515887a297a6480f2676 Mon Sep 17 00:00:00 2001
From: Mathieu Othacehe <[email-masked]>
Date: Mon, 25 Oct 2021 18:03:35 +0000
Subject: [PATCH] gnu: Remove references to a removed patch.

* gnu/packages/backup.scm (libchop)[source]: Remove the patch.
  (idutils)[source]: Ditto.
---
 gnu/packages/backup.scm  | 1 -
 gnu/packages/idutils.scm | 1 -
 2 files changed, 2 deletions(-)

diff --git a/gnu/packages/backup.scm b/gnu/packages/backup.scm
index 8c5ea07a9f..a18a16687c 100644
--- a/gnu/packages/backup.scm
+++ b/gnu/packages/backup.scm
@@ -557,7 +557,6 @@ (define-public libchop
               (sha256
                (base32
                 "0fpdyxww41ba52d98blvnf543xvirq1v9xz1i3x1gm9lzlzpmc2g"))
-              (patches (search-patches "diffutils-gets-undeclared.patch"))
               (modules '((guix build utils)))
               (snippet
                '(begin
diff --git a/gnu/packages/idutils.scm b/gnu/packages/idutils.scm
index d16f2ffdeb..3e404b9a6f 100644
--- a/gnu/packages/idutils.scm
+++ b/gnu/packages/idutils.scm
@@ -36,7 +36,6 @@ (define-public idutils
              (sha256
               (base32
                "1hmai3422iaqnp34kkzxdnywl7n7pvlxp11vrw66ybxn9wxg90c1"))
-             (patches (search-patches "diffutils-gets-undeclared.patch"))
              (modules '((guix build utils)))
              (snippet
               '(begin
-- 
2.33.1